import request from "@/utils/request";

//获取用电用户列表
export function getPowerClientPageList(data) {
    return request({
        url: "/device-boot/pms/powerClient/getPowerClientPageList",
        method: "post",
        data,
    });
}
// 新增台区
export function addPowerClient(data) {
    return request({
        url: "/device-boot/pms/powerClient/addPowerClient",
        method: "post",
        data,
    });
}
// 修改台区
export function updatePowerClient(data) {
    return request({
        url: "/device-boot/pms/powerClient/updatePowerClient",
        method: "post",
        data,
    });
}

//删除用电用户
export function delPowerClient(data) {
    return request({
        url: "/device-boot/pms/powerClient/delPowerClient",
        method: "delete",
        data,
    });
}
// 获取电站
export function getstatationStatList(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data,
    });
}
// 获取线路
export function getGeneratrixWireList(data) {
    return request({
        url: "/device-boot/pms/generatrixWire/getGeneratrixWireList",
        method: "post",
        data,
    });
}
// 获取台区
export function getPowerDistributionAreaList(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPowerDistributionList",
        method: "post",
        data,
    });
}